=== debian/changelog ===
kmymoney (5.2.1+p24.04+vunstable+git20251009.0543-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 09 Oct 2025 05:43:52 +0000
