=== debian/control ===
Source: kmymoney
Section: kde
Priority: optional
Uploaders: Pino Toscano <pino@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               gettext,
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kcmutils-dev,
               kf6-kcompletion-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcontacts-dev,
               kf6-kcoreaddons-dev,
               kf6-kdoctools-dev,
               kf6-kholidays-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-kitemmodels-dev,
               kf6-kitemviews-dev,
               kf6-knotifications-dev,
               kf6-kservice-dev,
               kf6-ktextwidgets-dev,
               kf6-kwallet-dev,
               kf6-kxmlgui-dev,
               kpim6-akonadi-contacts-dev,
               kpim6-akonadi-dev,
               kpim6-kidentitymanagement-dev,
               kpim6-kpimtextedit-dev,
               libalkimia6-dev,
               libaqbanking-dev,
               libcups2-dev,
               libgmp-dev,
               libgpg-error-dev,
               libgpgme-dev,
               libgpgmepp-dev,
               libgwengui-qt6-dev,
               libgwenhywfar-core-dev,
               libical-dev,
               libkchart6-dev,
               libofx-dev,
               libqgpgmeqt6-dev,
               libsqlcipher-dev,
               libsqlite3-dev,
               pkg-kde-tools-neon,
               pkgconf,
               plasma-activities-dev,
               python3-dev,
               qt6-5compat-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-svg-dev,
               qt6-webengine-dev,
               qtkeychain-qt6-dev,
               xsltproc
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://kmymoney.org/
Vcs-Git: https://invent.kde.org/neon/extras/kmymoney.git
Vcs-Browser: https://invent.kde.org/neon/extras/kmymoney
Maintainer: Neon CI <neon@kde.org>

Package: kmymoney
Architecture: any
Depends: qt6-base, ${misc:Depends}, ${shlibs:Depends}
Breaks: kmymoney-common (<< ${source:Version}~ciBuild)
Replaces: kmymoney-common (<< ${source:Version}~ciBuild)
Recommends: gnupg-agent, pinentry-qt | pinentry-x11
Suggests: kcalc | kalk
Description: personal finance manager for KDE
 KMyMoney is the Personal Finance Manager for KDE. It operates similar to
 MS-Money and Quicken, supports different account types, categorisation of
 expenses, QIF import/export, multiple currencies and initial online banking
 support.

Package: kmymoney-dev
Architecture: any
Depends: kmymoney, qt6-declarative-dev, ${misc:Depends}, ${perl:Depends}
Recommends: libfinance-quote-perl
Description: KMyMoney development files
 KMyMoney is the Personal Finance Manager for KDE. It operates similar to
 MS-Money and Quicken, supports different account types, categorisation of
 expenses, QIF import/export, multiple currencies and initial online banking
 support.
 .
 This package contains development files needed for KMyMoney.

Package: kmymoney-common
Depends: kmymoney, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 This is a transitional package. It can safely be removed.
