=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# # SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@ --with kf6 --buildsystem kf6

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_WITH_QT6=ON -DBUILD_WITH_QT6_CONFIRMED=ON -DUSE_QT_DESIGNER=ON
