## kmymoney 5.2.1+p24.04+vunstable+git20251015.1904

=== debian/changelog ===
kmymoney (5.2.1+p24.04+vunstable+git20251015.1904-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 19:05:09 +0000
