## kmymoney 5.2.1+p24.04+vunstable+git20251022.0018

=== debian/changelog ===
kmymoney (5.2.1+p24.04+vunstable+git20251022.0018-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 22 Oct 2025 00:18:15 +0000
