## kmymoney 5.2.1+p24.04+vunstable+git20251204.0020

=== CMakeLists.txt ===
--- 
+++ 
@@ -188,11 +188,15 @@
   pkg_check_modules(SQLCIPHER sqlcipher IMPORTED_TARGET)
 endif()
 
-find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS Core DBus Widgets Svg Xml Test PrintSupport)
+find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS Core DBus Widgets Svg Xml PrintSupport)
 find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} OPTIONAL_COMPONENTS Sql Concurrent QuickWidgets)
 
 if (Qt6Sql_VERSION VERSION_GREATER_EQUAL "6.10.0")
   find_package(Qt6 REQUIRED COMPONENTS SqlPrivate)
+endif()
+
+if(BUILD_TESTING)
+  find_package(Qt${QT_MAJOR_VERSION}Test ${QT_MIN_VERSION} REQUIRED)
 endif()
 
 find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS Archive CoreAddons Config ConfigWidgets Crash I18n Completion KCMUtils ItemModels ItemViews Service XmlGui TextWidgets Notifications KIO)
@@ -290,6 +294,12 @@
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 set(CMAKE_CXX_EXTENSIONS OFF)
 
+# freeBSD error: passing no argument for the '...' parameter of a
+# variadic macro is a C++20 extension [-Werror,-Wc++20-extensions]
+if (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
+    add_compile_options(-Wno-c++20-extensions)
+endif()
+
 # use DBus only on Linux
 if(CMAKE_SYSTEM_NAME MATCHES "Linux")
   set(KMM_DBUS 1)
@@ -322,10 +332,3 @@
 # include check for members in structs
 include (CheckStructHasMember)
 
-######################### Special Requirements ##########################
-
-if(QT_MAJOR_VERSION LESS 6)
-  # This is needed for QtSqlite and QtDesigner
-  # (they'll install files to ${QT_INSTALL_DIR}/plugins/)
-  get_filename_component(QT_BIN_DIR "${QT_MOC_EXECUTABLE}" PATH)
-  get_filename_component(QT_DIR     ${QT_BIN_DIR}        PATH)
