=== debian/changelog ===
kmymoney (5.2.1+p24.04+vunstable+git20251204.0020-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 00:20:49 +0000
