## kmymoney 5.2.1+p24.04+vunstable+git20251206.0902

=== debian/changelog ===
kmymoney (5.2.1+p24.04+vunstable+git20251206.0902-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 09:02:17 +0000
